Bug 127159 - gnbd_import hangs importing multiple block devices
gnbd_import hangs importing multiple block devices
Status: CLOSED CURRENTRELEASE
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: gfs (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ben Marzinski
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-02 15:33 EDT by Derek Anderson
Modified: 2010-01-11 21:54 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-14 16:17:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Derek Anderson 2004-07-02 15:33:58 EDT
Description of problem:
Exported 2 block devices from one node and attempted to import on
another.  The gnbd_import command hangs.

[root@link-11 root]# gnbd_export -d /dev/sdg1 -e sdg1
receiver: gnbd_clusterd already running
gnbd_export: created GNBD sdg1 serving file /dev/sdg1
[root@link-11 root]# gnbd_export -d /dev/sdg2 -e sdg2
receiver: gnbd_clusterd already running
gnbd_export: created GNBD sdg2 serving file /dev/sdg2
[root@link-11 root]# gnbd_export
Server[1] : sdg2
--------------------------
      file : /dev/sdg2
   sectors : 94831695
  readonly : no
    cached : no
   timeout : 60

Server[2] : sdg1
--------------------------
      file : /dev/sdg1
   sectors : 94831694
  readonly : no
    cached : no
   timeout : 60


### Importer
[root@link-12 root]# gnbd_import -i link-11
gnbd_import: created gnbd device sdg2
gnbd_monitor: gnbd_monitor started. Monitoring device #0
gnbd_recvd: gnbd_recvd started
gnbd_import: created gnbd device sdg1
 . . . hung up here ...

### Send ^C to gnbd_import...
gnbd_import: ERROR gnbd_monitor failed
[root@link-12 root]#

### Importer messages file...
Jul  2 19:38:16 link-12 gnbd_monitor[3455]: gnbd_monitor started.
Monitoring device #0
Jul  2 19:38:16 link-12 gnbd_recvd[3458]: gnbd_recvd started
Jul  2 19:38:16 link-12 kernel: resending requests

Version-Release number of selected component (if applicable):
gnbd_import DEVEL.1088792764 (built Jul  2 2004 13:27:30)
Copyright (C) Red Hat, Inc.  2004  All rights reserved.

How reproducible:
Always.

Steps to Reproduce:
1. gnbd_export 2 block devices
2. gnbd_import from exporting node
3.
  
Actual results:
Import one and hang.

Expected results:
Import both

Additional info:
Comment 1 Derek Anderson 2004-07-02 16:16:32 EDT
This is only for uncached devices.  Cached works as expected.
Comment 2 Ben Marzinski 2004-07-06 12:34:44 EDT
This was do to a recent fix that I put in.  gnbd_monitor wasn't
starting up the unix socket correctly, so in the the 1.3 cvs version
of gnbd_monitor, you couldn't access it.  This is fixed in cvs version 1.4
Comment 3 Dean Jansa 2004-07-14 16:17:55 EDT
Verified... 
 
[root@tank-01 root]# gnbd_export 
Server[1] : gfs1 
-------------------------- 
      file : /dev/gfs/lvol1 
   sectors : 542244864 
  readonly : no 
    cached : no 
   timeout : 60 
 
Server[2] : gfs0 
-------------------------- 
      file : /dev/gfs/lvol0 
   sectors : 542244864 
  readonly : no 
    cached : no 
   timeout : 60 
 
 
[root@tank-02 root]# gnbd_import -i tank-01 
gnbd_import: created gnbd device gfs1 
gnbd_monitor: gnbd_monitor started. Monitoring device #0 
gnbd_recvd: gnbd_recvd started 
gnbd_import: created gnbd device gfs0 
gnbd_recvd: gnbd_recvd started 
 

Note You need to log in before you can comment on or make changes to this bug.